Bug 678528 - SELinux is preventing /usr/bin/pulseaudio from using the 'setsched' accesses on a process.
SELinux is preventing /usr/bin/pulseaudio from using the 'setsched' accesses ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:0cd0fd2eb47...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-18 06:22 EST by Matěj Cepl
Modified: 2012-06-07 10:08 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 10:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2011-02-18 06:22:58 EST
SELinux is preventing /usr/bin/pulseaudio from using the 'setsched' accesses on a process.

starting new virtual domain ... it might be possible, I am doing something wrong, this was quite hackish change in the configuration of the guest.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that pulseaudio should be allowed setsched access on processes labeled svirt_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:svirt_t:s0:c41,c250
Target Context                system_u:system_r:svirt_t:s0:c41,c250
Target Objects                Unknown [ process ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           pulseaudio-0.9.22-3.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.15-1.fc16
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38-0.rc4.git0.1.fc15.x86_64 #1
                              SMP Tue Feb 8 01:57:21 UTC 2011 x86_64 x86_64
Alert Count                   1
First Seen                    Pá 18. únor 2011, 12:21:27 CET
Last Seen                     Pá 18. únor 2011, 12:21:27 CET
Local ID                      2d14962a-d25d-4c28-869c-d375093165ce

Raw Audit Messages
type=AVC msg=audit(1298028087.150:14009): avc:  denied  { setsched } for  pid=8851 comm="pulseaudio" scontext=system_u:system_r:svirt_t:s0:c41,c250 tcontext=system_u:system_r:svirt_t:s0:c41,c250 tclass=process


type=SYSCALL msg=audit(1298028087.150:14009): arch=x86_64 syscall=setpriority success=yes exit=0 a0=0 a1=0 a2=0 a3=8 items=0 ppid=8844 pid=8851 auid=4294967295 uid=107 gid=107 euid=107 suid=107 fsuid=107 egid=107 sgid=107 fsgid=107 tty=(none) ses=4294967295 comm=pulseaudio exe=/usr/bin/pulseaudio subj=system_u:system_r:svirt_t:s0:c41,c250 key=(null)

Hash: pulseaudio,svirt_t,svirt_t,process,setsched

audit2allow

#============= svirt_t ==============
allow svirt_t self:process setsched;

audit2allow -R

#============= svirt_t ==============
allow svirt_t self:process setsched;
Comment 1 Miroslav Grepl 2011-02-18 07:27:41 EST
Shouldn't be svirt stopped from using pulseadio?
Comment 2 Daniel Berrange 2011-02-18 08:00:19 EST
Yes, it shouldn't be using pulseaudio by default.

What is the guest XML configuration ?
Comment 3 Matěj Cepl 2011-02-20 06:41:39 EST
This was just a virt-manager generated attempt to install RHEL-6 nightly snapshot using Spice as video mode (apparently it doesn't really work yet, although one can set it up in the v-m menu). However, installation didn't succeed for other reasons (for other reasons ... it just oopsed on boot), so I haven't saved the XML.
Comment 4 Daniel Berrange 2011-02-21 06:16:27 EST
If it was using SPICE for graphics, then it definitely should not be going anywhere near pulseaudio. Audio is tunnelled over the SPICE connection.
Comment 5 Daniel Berrange 2011-02-21 06:16:58 EST
Oh the guest XML should be logged in $HOME/.virt-manager/virt-manager.log
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 13:49:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-09-22 13:52:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-09-22 13:58:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 14:30:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 14:34:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-11-30 14:40:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-11-30 14:51:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Cole Robinson 2012-06-07 10:08:35 EDT
Given the general lack of other reports about this, it's like resolved in a current release.

Note You need to log in before you can comment on or make changes to this bug.